[25356] in Source-Commits
/svn/athena r24922 - trunk/debathena/scripts/installer
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Fri Jan 21 17:34:26 2011
Date: Fri, 21 Jan 2011 17:34:20 -0500
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201101212234.p0LMYKIK002256@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2011-01-21 17:34:19 -0500 (Fri, 21 Jan 2011)
New Revision: 24922
Modified:
trunk/debathena/scripts/installer/install-debathena.sh
Log:
Don't break maverick
Modified: trunk/debathena/scripts/installer/install-debathena.sh
===================================================================
--- trunk/debathena/scripts/installer/install-debathena.sh 2011-01-05 20:54:21 UTC (rev 24921)
+++ trunk/debathena/scripts/installer/install-debathena.sh 2011-01-21 22:34:19 UTC (rev 24922)
@@ -209,6 +209,17 @@
;;
esac
+
+output "Verifying machine is up to date..."
+pattern='^0 packages upgraded, 0 newly installed, 0 to remove'
+if ! aptitude --simulate --assume-yes full-upgrade | grep -q "$pattern"; then
+ error "Your system is not up to date. Proceeding with an install at"
+ error "this time could render your system unusable."
+ error "Please run 'aptitude full-upgrade' or use the GUI update manager"
+ error "to ensure your system is up to date before continuing."
+ exit 1
+fi
+
output "Adding the Debathena repository to the apt sources"
output "(This may cause the update manager to claim new upgrades are available."
output "Ignore them until this script is complete.)"